@echo off
rem ###########################################################################
rem  Copyright (c) 2008-2009 ThinkUI Software Inc. All rights reserved.
rem
rem  Licensed under the ThinkUI License, Version 1.0 (the "License");
rem  you may not use this file except in compliance with the License.
rem  You may obtain a copy of the License at
rem
rem      http://www.thinkui.com/license.html
rem
rem  Unless required by applicable law or agreed to in writing, software
rem  distributed under the License is distributed on an "AS IS" BASIS,
rem  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
rem  See the License for the specific language governing permissions and
rem  limitations under the License.
rem
rem  For the latest version of this software, please visit www.thinkui.com
rem ###########################################################################

rem ---------------------------------------------------------------------------
rem Specify ANT_OPTS to increase the maximum memory.
rem ---------------------------------------------------------------------------
set ANT_OPTS=-Xmx256m -Dthinkui.sqlclient.SQLClient.installedDir=".." -Dthinkui.datagen.DataGenerator.installedDir="..\..\DataGenerator"
ant -f sample_datagen_build.xml

rem ---------------------------------------------------------------------------
rem Alternative method to start for debugging purposes.
rem ---------------------------------------------------------------------------
rem set ANT_OPTS=-Xmx256m -XX:+HeapDumpOnOutOfMemoryError -XX:MaxPermSize=256m -verbose:gc -XX:+PrintClassHistogram -Dthinkui.sqlclient.SQLClient.installedDir="C:\Program Files\ThinkUI\SQLClient"
rem start "ThinkUI Data Generator" /B ant -f sample_datagen_build.xml

